summaryrefslogtreecommitdiffstats
path: root/libraries/cairomm
diff options
context:
space:
mode:
author Paul Wisehart2010-05-11 14:56:12 +0200
committer Robby Workman2010-05-11 14:56:12 +0200
commitb25fcc249a4a28b23f1ab467b0a14aeee7a9d211 (patch)
treeea4d01f8b97256818249572b21808bd4bad56677 /libraries/cairomm
parentf54ab2de082780b36f209d1a75a94e46c7192fb4 (diff)
downloadslackbuilds-b25fcc249a4a28b23f1ab467b0a14aeee7a9d211.tar.gz
libraries/cairomm: Initial import
Diffstat (limited to 'libraries/cairomm')
-rw-r--r--libraries/cairomm/README11
-rw-r--r--libraries/cairomm/cairomm.SlackBuild75
-rw-r--r--libraries/cairomm/cairomm.info8
-rw-r--r--libraries/cairomm/slack-desc8
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/cairomm/README b/libraries/cairomm/README
new file mode 100644
index 0000000000..ad0116b0eb
--- /dev/null
+++ b/libraries/cairomm/README
@@ -0,0 +1,11 @@
+cairomm is a C++ wrapper for the cairo graphics library. It offers
+all the power of cairo with an interface familiar to C++ developers,
+including use of the Standard Template Library where it makes sense.
+
+This requires glibmm (also available from SlackBuilds.org).
+
+If you want to build a newer version of cairomm, this script has been
+tested and found to work properly with cairomm-1.2.2. The only change
+needed in the script is the VERSION string. You will, however, have
+to install the cairo-1.2.4 package from Slackware 11.0 /testing.
+
diff --git a/libraries/cairomm/cairomm.SlackBuild b/libraries/cairomm/cairomm.SlackBuild
new file mode 100644
index 0000000000..fe9d4f00e8
--- /dev/null
+++ b/libraries/cairomm/cairomm.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for cairomm
+
+# Copyright (C) 2006 paul wisehart wise@lupulin.net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PKGNAME=cairomm
+VERSION=0.6.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PKGNAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PKGNAME-$VERSION
+tar -xvzf $CWD/$PKGNAME-$VERSION.tar.gz || exit 1
+cd $PKGNAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+rw,go-w+r .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ || exit 1
+
+make -j3 || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL MAINTAINERS NEWS README TODO examples \
+ $PKG/usr/doc/$PKGNAME-$VERSION
+mv $PKG/usr/share/doc/libcairomm-1.0/reference/html $PKG/usr/doc/$PKGNAME-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/cairomm/cairomm.info b/libraries/cairomm/cairomm.info
new file mode 100644
index 0000000000..fdec31eba7
--- /dev/null
+++ b/libraries/cairomm/cairomm.info
@@ -0,0 +1,8 @@
+PRGNAM="cairomm"
+VERSION="0.6.0"
+HOMEPAGE="http://cairographics.org/cairomm/"
+DOWNLOAD="http://cairographics.org/releases/cairomm-0.6.0.tar.gz"
+MD5SUM="9d967cf486b0ac59d451d47922c99e6f"
+MAINTAINER="paul wisehart"
+EMAIL="wise@lupulin.net"
+APPROVED="robw810"
diff --git a/libraries/cairomm/slack-desc b/libraries/cairomm/slack-desc
new file mode 100644
index 0000000000..3fe3b19e2f
--- /dev/null
+++ b/libraries/cairomm/slack-desc
@@ -0,0 +1,8 @@
+cairomm:
+cairomm: cairomm 1.2.2
+cairomm: pkg'd by paul wisehart <wise@lupulin.net>
+cairomm:
+cairomm: cairomm is a C++ wrapper for the cairo graphics library. It offers
+cairomm: all the power of cairo with an interface familiar to C++ developers,
+cairomm: including use of the Standard Template Library where it makes sense.
+cairomm: